% eda12_04
% F distribution

L=1001;
Fmin=0;
Fmax=5;
DF=(Fmax-Fmin)/(L-1);
F=Fmin+DF*[0:L-1]';

figure(1);
clf;
set(gca,'LineWidth',2);
hold on;
axis( [Fmin, Fmax, 0, 1] );
i=1;
for M = [2, 5, 25, 50]
    subplot(4,1,i);
    i=i+1;
    set(gca,'LineWidth',2);
    hold on;
    for N = [2, 5, 25, 50]
        pF = fpdf(F,N,M);
        plot(F,pF,'k-','LineWidth',2);
    end
end
